import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonModule } from '@angular/common';
import { HermesClientService } from '../hermes-client.service';
import { ApiAuthenticationService } from '../shared/services/api/api-authentication.service';

@Component({
  selector: 'navigation',
  standalone: true,
  imports: [CommonModule, RouterModule],
  templateUrl: './navigation.component.html',
  styleUrl: './navigation.component.scss'
})
export class NavigationComponent {
    constructor(private auth: ApiAuthenticationService, private hermes: HermesClientService) { }

    get twitch_logged_in() {
        return this.auth.isAuthenticated();
    }

    get tts_logged_in() {
        return this.hermes?.logged_in ?? false;
    }
}
